La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const endpoint = await lapyme.webhookEndpoints.create({
idempotencyKey: crypto.randomUUID(),
body: {
label: "Tienda principal",
url: "https://integracion.example.com/lapyme/webhooks",
enabledEvents: ["order.created", "order.updated"],
apiVersion: "2026-06-29",
},
});curl --request POST \
--url https://api.lapyme.com.ar/api/v1/webhook-endpoints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29"
}
'import requests
url = "https://api.lapyme.com.ar/api/v1/webhook-endpoints"
payload = {
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
label: '<string>',
url: '<string>',
enabled_events: [],
api_version: '2026-06-29'
})
};
fetch('https://api.lapyme.com.ar/api/v1/webhook-endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"data": {
"object": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"url": "<string>",
"enabled_events": [],
"api_version": "2026-06-29",
"failure_count": 1,
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"disabled_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"signing_secret": "<string>"
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Solicitud inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "API key faltante o inválida",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Scopes insuficientes",
"retryable": false,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Conflicto de idempotencia",
"retryable": false,
"details": []
}
}{
"request_id": "req_rate_limit_1",
"error": {
"type": "rate_limit_error",
"code": "RATE_LIMITED",
"message": "The organization request limit was reached. Try again later.",
"retryable": true,
"details": []
}
}{
"request_id": "req_error_1",
"error": {
"type": "invalid_request_error",
"code": "INVALID_REQUEST",
"message": "Error interno del servidor",
"retryable": false,
"details": []
}
}Crear endpoint de webhook
Crea un endpoint activo y devuelve su signing_secret una sola vez. Requiere los scopes de lectura de todos los eventos habilitados.
POST
/
api
/
v1
/
webhook-endpoints
La Pyme SDK
import { Lapyme } from "lapyme";
const lapyme = new Lapyme({
bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});
const endpoint = await lapyme.webhookEndpoints.create({
idempotencyKey: crypto.randomUUID(),
body: {
label: "Tienda principal",
url: "https://integracion.example.com/lapyme/webhooks",
enabledEvents: ["order.created", "order.updated"],
apiVersion: "2026-06-29",
},
});Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Headers
Clave estable para deduplicar reintentos de la misma operación.
Body
application/json
Minimum array length:
1Available options:
sale.created, sale.updated, order.created, order.updated, order.completed, order.cancelled, order.partially_fulfilled, order.fulfilled, fulfillment.created, webhook_endpoint.disabled Available options:
2026-06-29 Was this page helpful?
⌘I

